pcl::Narf36 Struct Reference
Module common

A point structure representing the Narf descriptor. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | x
float | y
float | z
float | roll
float | pitch
float | yaw
float | descriptor [36]

## Friends

std::ostream & | operator<< (std::ostream &os, const Narf36 &p)

## Detailed Description

A point structure representing the Narf descriptor.

Definition at line 1329 of file point_types.hpp.

## Member Function Documentation

static int pcl::Narf36::descriptorSize | ( |  | ) |

inline static

Definition at line 1333 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Narf36 & | p
| ) |  |

friend

## Member Data Documentation

float pcl::Narf36::descriptor[36]

Definition at line 1332 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< Narf36 >::copyToFloatArray(), and pcl::Narf::copyToNarf36().

float pcl::Narf36::pitch

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

float pcl::Narf36::roll

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

float pcl::Narf36::x

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

float pcl::Narf36::y

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

float pcl::Narf36::yaw

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

float pcl::Narf36::z

Definition at line 1331 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp